/** @format */
export declare class InitManager {
    protected promps: any;
    constructor();
    initSconfig(appSath: any): Promise<string>;
    assemblySpecialApp(appName: any, { projectName, appPath }: {
        projectName: any;
        appPath: any;
    }): Promise<void>;
    executeInit(name: string, dir?: string, downloadurl?: boolean): Promise<void>;
    gitCloneProject(name: string, dir?: string): Promise<unknown>;
    init(name: string, dir?: string): Promise<void>;
}
